stages:
  - deploy

.deploy:
  stage: deploy
  image: docker:25.0.3
  services:
    - docker:25.0.3-dind
  variables:
    DOCKER_HOST: tcp://docker:2375
    DOCKER_TLS_CERTDIR: ""
  script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - export CI_COMMIT_SHORT_SHA=$CI_COMMIT_SHORT_SHA
    - docker-compose pull
    - docker-compose down --remove-orphans 
    - docker-compose up -d


